<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::alerts::test::StubRenderer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html">alerts</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_renderer.html">StubRenderer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_renderer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::alerts::test::StubRenderer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilityAgents::alerts::test::StubRenderer:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_renderer__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_renderer_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_renderer_inherit__map" id="alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_renderer_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_interface.html" title="alexaClientSDK::capability\lAgents::alerts::renderer\l::RendererInterface" alt="" coords="28,5,205,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilityAgents::alerts::test::StubRenderer:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_renderer__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_renderer_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_renderer_coll__map" id="alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_renderer_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_interface.html" title="alexaClientSDK::capability\lAgents::alerts::renderer\l::RendererInterface" alt="" coords="28,5,205,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_interface.html">alexaClientSDK::capabilityAgents::alerts::renderer::RendererInterface</a></td></tr>
<tr class="memitem:ae6332383bc135c8efa45e04504e0d75b inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_interface.html#ae6332383bc135c8efa45e04504e0d75b">~RendererInterface</a> ()=default</td></tr>
<tr class="separator:ae6332383bc135c8efa45e04504e0d75b inherit pub_methods_classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Test <code>RendererInterface</code> implementation to provide a valid instance for the initialization of other components. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/Alerts/test/<a class="el" href="_alerts_capability_agent_test_8cpp.html">AlertsCapabilityAgentTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
